Regenerate Recovery Codes
Generates a new set of recovery codes, invalidating all previous codes. Requires current password.
Required scopes: auth:account:edit
Authorization
BearerAuth JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.
In: header
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
Current password for verification
1 <= lengthResponse Body
application/json
application/json
curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.PasswordService/RegenerateRecoveryCodes" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"recoveryCodes": [
"string"
]
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Password Signup POST
Creates a new password-based account. A verification email will be sent to confirm the email address. **Authentication:** None required **Protection:** Requires Cloudflare Turnstile token
Request Password Reset POST
Sends a password reset email to the specified address if an account exists. **Authentication:** None required **Protection:** Requires Cloudflare Turnstile token